import {
  get
} from "../../utils/http";
const app = getApp()
// pages/sendGetCoupon/sendGetCoupon.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    couponInfo: '', //优惠券信息
    couponLogin: '' //登录后获取优惠券信息
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      recordId: options.recordId
    })
    console.log(options.recordId,'options.recordId');
    // 获取优惠券信息
    this.getCouponInfo()
    // 获取登录后优惠券信息
    this.getCouponLogin()
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  // 获取优惠券信息
  getCouponInfo() {
    get('/v2/api/send_coupon/active', {}, (res) => {
      if (res.code == 200) {
        this.setData({
          couponInfo: res.data
        })
      }
    })
  },
  // 点击领取体验券
  getCoupon() {
    if (this.data.couponLogin > 0) {
      return
    }
    if(wx.getStorageSync('userInfo')==''){
      wx.navigateTo({
        url: `/pages/login/login`,
      })
    }
    get('/v2/api/send_coupon/receive', {
      id: this.data.recordId
    }, (res) => {
      this.getCouponLogin()
    })
  },
  // 登陆后获取优惠券信息
  getCouponLogin() {
    get('/v2/api/send_coupon/discount_coupon', {}, (res) => {
      if (res.code == 200) {
        this.setData({
          couponLogin: res.data.status //0未领取
        })
      }
    })
  }
})